##########################################################################
#                                                                        # #
# Licensed Materials - Property of IBM                                   #   #
# Restricted Material of IBM                                             #######
# IBM Rational Test RealTime                                                   #
#  Copyright IBM Corp. 1999,2014 All Rights Reserved.                         #
#                                                                              #
# US Government Users Restricted Rights - Use, duplication or                  #
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.            #
#                                                                              #
################################################################################
use FileHandle ;
STDOUT->autoflush(1);
STDERR->autoflush(1);

my $perlscript=shift(@ARGV);
$perlscript=~s/\"//g;
my $return;
if(-f $perlscript) {
   #print "do $perlscript\n";
   $return = do $perlscript;
} elsif(-f "$perlscript.pl") {
   $return = do "$perlscript.pl";
} elsif(-f "$ENV{TESTRTDIR}/lib/scripts/$perlscript") {
   $return = do "$ENV{TESTRTDIR}/lib/scripts/$perlscript";
} elsif(-f "$ENV{TESTRTDIR}/lib/scripts/$perlscript.pl") {
   $return = do "$ENV{TESTRTDIR}/lib/scripts/$perlscript.pl";
} else {
   warn "perl script $perlscript not found!!\n";
   exit(1);
}

unless ($return) {
	warn "cannot parse $perlscript: $@" if $@;
	warn "cannot do $perlscript: $!" unless defined $return;
	warn "cannot run $perlscript" unless $return;
}
